Skip to main content
POST
Create Customer at Cashfree

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret in the Merchant Dashboard.

Headers

x-api-version
string
default:2023-08-01
required

API version to be used

x-request-id
string

Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request to create a new customer at Cashfree

Request body to create a customer at cashfree

customer_phone
string
required

Customer Phone Number

Required string length: 10
Example:

"9999999999"

customer_email
string

Customer Email

Example:

"example@test.com"

customer_name
string

Customer Name

Example:

"YourCustomer"

Response

OK

The complete customer entity

customer_uid
string

unique id generated by cashfree for your customer

customer_phone
string

Customer Phone Number

customer_email
string

Customer Email

customer_name
string

Customer Name